{% extends 'base.html' %}
{% block content %}

<div class="jumbotron bg-light">
    <h1> Auriez-vous survécu au naufrage du Titanic ? </h1>
</div>

<!-- Decommenter la ligne suivante pour l'affichage de l'onjet python data -->
<!-- {{ data }} -->

<form action="/result" method="get">

    {% for id_q in data %}
    
    <div class="card">
        <div class="card-header bg-primary font-weight-bold">  {{data[id_q]['question']}} </div>
        <div class="card-body">
            <div class="form-group">
                <select class="form-control" id="{{id_q}}" name="{{id_q}}">
                    {% for rep in data[id_q]['reponse'] %}
                  <option value="{{ rep[1] }}"> {{ rep[0] }} </option>
                    {%endfor%}
                </select>
              </div>
        </div>
      </div>

      <br>

      {%endfor%}
      
    <button type="submit" class="btn btn-outline-primary btn-block btn-lg"> Dis moi si j'aurais survecu ! </button>

  </form>

{% endblock %}
